"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toSnakeLike = void 0;
var defines_1 = require("./defines");
function toSnakeLike(s) {
    return s
        .replace(defines_1.WORD_REGEX, function (ch) { return "_" + ch; })
        .replace(/[-_\s]+/g, "_")
        .replace(/^_+/, "")
        .toLowerCase();
}
exports.toSnakeLike = toSnakeLike;
