"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.snake = void 0;
var snake_like_1 = require("./internal/snake-like");
/**
 * Convert a string to underline splitting words in lowercase.
 *
 * example:
 * ```
 * name_styles_is_a_good_library
 * ```
 *
 * @param {string} s source string
 * @return {string} converted result with underline splitting words in lowercase.
 */
function snake(s) {
    return (0, snake_like_1.toSnakeLike)(s);
}
exports.snake = snake;
