import { toSnakeLike } from "./internal/snake-like";
/**
 * Convert a string to underline splitting words in lowercase.
 *
 * example:
 * ```
 * name_styles_is_a_good_library
 * ```
 *
 * @param {string} s source string
 * @return {string} converted result with underline splitting words in lowercase.
 */
export function snake(s) {
    return toSnakeLike(s);
}
