/**
 * Convert a string to kebab splitting words in lowercase.
 *
 * example:
 * ```
 * name-styles-is-a-good-library
 * ```
 *
 * @param {string} s source string
 * @return {string} converted result with kebab splitting words in lowercase.
 */
export declare function kebab(s: string): string;
export declare const hyphen: typeof kebab;
