"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toCamelLike = void 0;
var defines_1 = require("./defines");
function toCamelLike(s) {
    return s
        .replace(defines_1.WORD_REGEX, function (m) { return "_".concat(m); })
        .toLowerCase()
        .replace(/[-_\s]+([a-z])/g, function (_all, ch) { return ch.toUpperCase(); });
}
exports.toCamelLike = toCamelLike;
