/**
 * Convert a string to Pascal name-style.
 *
 * example:
 * ```
 * NameStylesIsAGoodLibrary
 * ```
 *
 * @param {string} s source string
 * @return {string} converted result with Pascal-style case string.
 */
export declare function pascal(s: string): string;
