/**
 * Convert a string to underline splitting words in lowercase, with keeping all
 * leading underlines and continues underlines.
 *
 * example:
 * ```
 * _name_styles___is_a_good_library
 * ```
 *
 * @param {string} s source string
 * @return {string} converted result with underline splitting words in lowercase.
 */
export declare function underscore(s: string): string;
